
Name:    ksirk
Summary: Conquer-the-world strategy game
Version: 4.10.5
Release: 1%{?dist}

License: GPLv2+ and GFDL
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

# use the system iris library
Patch0: ksirk-4.10.0-system-iris.patch
# if using bundled iris, link statically
Patch1: ksirk-4.10.1-iris_static.patch

BuildRequires: desktop-file-utils
BuildRequires: libkdegames-devel >= %{version}
BuildRequires: pkgconfig(qca2)
%if 0%{?fedora}
%define system_iris 1
BuildRequires: pkgconfig(iris)
%else
# some default qca plugin(s) for bundled iris
Requires: qca-ossl%{?_isa}
%endif

Requires: libkdegames%{?_isa} >= %{_kde4_version}

%description
The goal of KSirk is to conquer the World. It is done by attacking your
neighbors with your armies.


%prep
%setup -q
%if 0%{?system_iris}
%patch0 -p1 -b .system-iris
mv ksirk/iris ksirk/iris.BAK
%else
%patch1 -p1 -b .iris_static
%endif


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --all-name


## unpackaged files
rm -rfv %{buildroot}%{_kde4_iconsdir}/locolor


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc COPYING*
%{_kde4_bindir}/%{name}*
%{_kde4_datadir}/applications/kde4/%{name}*.desktop
%{_kde4_configdir}/%{name}*
%{_kde4_configdir}.kcfg/%{name}*.kcfg
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/%{name}*/


%changelog
* Sun Jun 30 2013 Than Ngo <than@redhat.com> - 4.10.5-1
- 4.10.5

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Tue May 07 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.3-1
- 4.10.3
- (re)enable system_iris for all Fedora releases

* Thu May 02 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.2-2
- limit system_iris support to f19+ (#958793)

* Mon Apr 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, summary/description

* Mon Feb 11 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.10.0-2
- use the system iris library

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

